/*
This is part of Screenbar, which is based in part on the Litestep
shell source code.

Copyright (C) 2008-2009 Jim Babcock
Copyright (C) 1997-2009 The LiteStep Development Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#include "screenbar.hpp"

TextureElement::TextureElement(string prefix)
	:RectLayoutElement(prefix)
{
	texture = Create_xTextureClass();
	texture->configure("", prefix.c_str());
}

TextureElement::~TextureElement()
{
	Destroy_xTextureClass(texture);
	texture = NULL;
}

void TextureElement::draw(HDC drawContext, const LayoutCacheNode *layout)
{
	Rect rect = getRect(layout->boundingRect);
	texture->apply(drawContext,
		rect.left, rect.top, rect.width, rect.height);
}
